[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator :=(Tvector2_extended): Tvector4_single

Allow assignment of two-dimensional extended precision vector to four-dimensional single precision vector

## Declaration

Source position: matrix.pp line 294

`operator operator :=(Tvector2_extended): Tvector4_single(`
`const v: Tvector2_extended`
`):Tvector4_single;`

## Description

This operator allows you to use a two-dimensional vector with extended precision values wherever a four-dimensional vector with single precision is expected. Some accuracy is lost because of the conversion and the third and fourth dimensions are set to 0.0.

Documentation generated on: Feb 26 2014